"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_charts_1 = require("@patternfly/react-charts");
var types_1 = require("../types");
var createChart_1 = __importDefault(require("./createChart"));
var components = (_a = {},
    _a[types_1.ChartKind.simple] = createChart_1.default,
    _a);
var createStack = function (id, data, resolvedApi) {
    var charts = data.schema;
    var stack = charts.find(function (_a) {
        var i = _a.id;
        return i === id;
    });
    var children = charts.filter(function (_a) {
        var parent = _a.parent;
        return parent === id;
    });
    return (react_1.default.createElement(react_charts_1.ChartStack, __assign({ key: stack.id }, stack === null || stack === void 0 ? void 0 : stack.props), children.map(function (child) { return components[child.kind](child.id, data, resolvedApi); })));
};
exports.default = createStack;
//# sourceMappingURL=createStack.js.map