var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var _a;
import React from 'react';
import { ChartStack as PFChartStack } from '@patternfly/react-charts';
import { ChartKind } from '../types';
import createChart from './createChart';
var components = (_a = {},
    _a[ChartKind.simple] = createChart,
    _a);
var createStack = function (id, data, resolvedApi) {
    var charts = data.schema;
    var stack = charts.find(function (_a) {
        var i = _a.id;
        return i === id;
    });
    var children = charts.filter(function (_a) {
        var parent = _a.parent;
        return parent === id;
    });
    return (React.createElement(PFChartStack, __assign({ key: stack.id }, stack === null || stack === void 0 ? void 0 : stack.props), children.map(function (child) { return components[child.kind](child.id, data, resolvedApi); })));
};
export default createStack;
//# sourceMappingURL=createStack.js.map